body {
    overflow-x: hidden;
}

#liste-inspirations {
    min-height: calc(100vh - var(--main-top));
    min-height: calc(100dvh - var(--main-top));
    padding-bottom: var(--main-bottom);
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    width: 100vw;
}

ol.insp-title-list {
    columns: 2;
    column-gap: var(--colonne);
    width: calc(var(--colonne) * 12);
    min-width: var(--min-width-deskt);
    margin: 0 var(--small-margin);
    list-style: none;
    counter-reset: item;
    /* font-variant-numeric: var(--aligne-proportionnel); */

}

ol.insp-title-list li {
    counter-increment: item;
    position: relative;

    break-inside: avoid;
    margin-left: 2.5em;
    /* margin-bottom: 0.5em; */
    /* font-variant-numeric: var(--elzevirien-proportionnel); */

}

ol.insp-title-list li::before {
    content: counter(item) " ";
    position: absolute;
    left: -2.5em;
}

/* ol.insp-title-list li a {
    font-variant-numeric: var(--elzevirien-proportionnel);

} */


/* PARTIE SCROLL TO */

#contenus-inspirations {
    width: calc(var(--colonne) * 22);
    min-width: var(--min-width-deskt);
    margin: 0 auto;
    padding-top: var(--main-top);
}

#contenus-inspirations article {
    display: flex;
    flex-direction: row;
    gap: var(--colonne);
    /* margin-bottom: var(--small-margin); */
    margin-bottom: 50px;
    align-items: flex-start;
}

.inspiration-texte {
    width: calc(var(--colonne) * 10);
    position: sticky;
    top: 60px;
    align-self: flex-start;
}

.inspi-texte-subtitle>* {
    display: inline-block;
}

.description p {
    text-indent: var(--alinea);
}

.inspiration-galerie {
    width: calc(var(--colonne) * 11);
}


.inspiration-galerie img {
    width: 100%;
    height: auto;
    margin-bottom: 4px;
}

.inspiration-galerie img:last-child {
    margin-bottom: 0;
}

/* BOUTON SCROLL TO TOP */

#scrollToTop {
    position: fixed;
    bottom: 50%;
    right: var(--small-margin);
    padding: 0.5em;
    color: var(--white);
    border: none;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: 999;
    background-color: transparent;
    /* transform: translate(-50%, -50%); */
}

#scrollToTop.show {
    opacity: 1;
    visibility: visible;
}

#scrollToTop svg {
    width: 1.4em;
}

#scrollToTop svg path {
    fill: var(--brown);
}

@media screen and (max-width: 650px) {
    #page-inspirations {
        width: var(--mobile-width);
        min-width: var(--mobile-width);
        min-height: var(--min-height-mobile);

        overflow-x: hidden;
        margin: 0 var(--small-margin);
    }

    #liste-inspirations {
        padding-bottom: var(--main-bottom-mobile);
        width: 100%;
        min-height: calc(100vh - var(--main-top));
        min-height: calc(100svh - var(--main-top));
    }

    ol.insp-title-list {
        columns: 1;
        width: 100%;
        min-width: 100%;
    }

    #contenus-inspirations {
        width: var(--mobile-width);
        min-width: var(--mobile-width);
    }

    #contenus-inspirations article {
        flex-direction: column;
        gap: 0;
        margin-bottom: 3em;
    }

    .inspiration-texte {
        width: 100%;
        padding-bottom: 0.5em;
    }

    .description p {
        text-indent: var(--alinea-mobile);
    }

    .inspiration-galerie {
        width: calc(var(--colonne-mobile) * 8);
        align-self: end;
    }


    /* bouton scroll to top */

    #scrollToTop {
        bottom: var(--small-margin);
        left: var(--small-margin);
        right: auto;
        padding: 0.5em 0.5em 0.25em 0.25em;
    }

    #scrollToTop svg {
        width: 1.3em;
    }
}